/**
 * OW2 FraSCAti Jmx
 * Copyright (C) 2011 INRIA, University of Lille 1
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Nicolas Petitprez
 *
 * Contributor(s):
 *
 */
package org.ow2.frascati.jmx;

import javax.management.JMException;

/**
 * @author Nicolas Petitprez
 * 
 */
public interface FrascatiJmxMBean {

	/**
	 * Load (or re-load) all frascati component as JMX MBean
	 * 
	 * @throws JMException
	 */
	public void load() throws JMException;

	/**
	 * Remove all MBean related to frascati
	 * 
	 * @throws JMException
	 */
	public void clean() throws JMException;

}
